﻿using System;
using System.Collections.ObjectModel;

namespace TreeView_SL_Templates
{
	public class ViewModel
	{
		public ViewModel()
		{
			this.Items = new ObservableCollection<DataItem>();
			this.GenerateDummyData();
		}

		public ObservableCollection<DataItem> Items { get; set; }

		private void GenerateDummyData()
		{
			DataItem typeB3 = new DataItem()
			{
				Header = "Type B3",
				Template = TreeView_SL_Templates.Template.TemplateB
			};
			DataItem typeB4 = new DataItem()
			{
				Header = "Type B4",
				Template = TreeView_SL_Templates.Template.TemplateB
			};

			DataItem header1 = new DataItem()
			{
				Header = "Header 1",
				Template = TreeView_SL_Templates.Template.HeaderTemplate
			};
			header1.Children.Add(typeB3);
			header1.Children.Add(typeB4);

			DataItem typeA2 = new DataItem()
			{
				Header = "Type A2",
				Template = TreeView_SL_Templates.Template.TemplateA
			};
			typeA2.Children.Add(header1);
			DataItem typeA3 = new DataItem()
			{
				Header = "Type B2",
				Template = TreeView_SL_Templates.Template.TemplateB
			};

			DataItem header2 = new DataItem()
			{
				Header = "Header 2",
				Template = TreeView_SL_Templates.Template.HeaderTemplate
			};
			header2.Children.Add(typeA2);
			header2.Children.Add(typeA3);

			DataItem typeA1 = new DataItem()
			{
				Header = "Type A1",
				Template = Template.TemplateA
			};
			typeA1.Children.Add(header2);

			this.Items.Add(typeA1);			
		}
	}
}